<?php
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";
//include '../pdloginvariables.php';

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
if (empty($_REQUEST['manufacturer_id']) || $_REQUEST['manufacturer_id'] == "all") {
    echo "Error: Please select a manufacturer";
}
if (empty($_REQUEST['system_id']) || $_REQUEST['system_id'] == "all") {
    echo "Error: Please select an operating system";
}
if (empty($_REQUEST['type_id']) || $_REQUEST['type_id'] == "all") {
    echo "Error: Please select a type";
}
?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<?php

$manufacturer_id = $_REQUEST['manufacturer_id'];
$system_id = $_REQUEST['system_id'];
$type_id = $_REQUEST['type_id'];

$sql = "
SELECT device_id, name, price, 
       manufacturer_id, system_id, type_id
FROM devices
WHERE manufacturer_id = " . $manufacturer_id . " 
  AND system_id = " . $system_id . " 
  AND type_id = " . $type_id;

$results = $mysql->query($sql);

if(!$results) {
    echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
    echo "SQL Error: " . $mysql->error . "<hr>";
    exit();
}
$manufacturers_sql = "SELECT manufacturer_id, manufacturer FROM manufacturers";
$manufacturers_result = $mysql->query($manufacturers_sql);

if ($manufacturers_result) {
    while ($currentrow = $manufacturers_result->fetch_assoc()) {
        $manufacturers_names[$currentrow['manufacturer_id']] = $currentrow['manufacturer'];
    }
}
$systems_sql = "SELECT system_id, system FROM systems";
$systems_result = $mysql->query($systems_sql);

if ($systems_result) {
    while ($currentrow = $systems_result->fetch_assoc()) {
        $systems_names[$currentrow['system_id']] = $currentrow['system'];
    }
}

$types_sql = "SELECT type_id, type FROM types";
$types_result = $mysql->query($types_sql);

if ($types_result) {
    while ($currentrow = $types_result->fetch_assoc()) {
        $types_names[$currentrow['type_id']] = $currentrow['type'];
    }
}
?>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">
    <?php
    echo "Your search returned " . "<strong>" . $results->num_rows . "</strong>" . " result(s).";
     ?>

    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>

        <?php
        while ($currentrow = $results->fetch_assoc()) {
            echo "<tr>
                        <td><a href='details1.php?id=" . $currentrow['device_id'] . "'>" . $currentrow['name'] . "</a></td>
                        <td>" . $currentrow['price'] . "</td>
                        <td>" . $manufacturers_names[$currentrow['manufacturer_id']] . "</td>
                        <td>" . $systems_names[$currentrow['system_id']] . "</td>
                        <td>" . $types_names[$currentrow['type_id']] . "</td>
                      </tr>";
        }
        ?>

    </table>

</div>

</body>

</html>